diff options
Diffstat (limited to 'autom4te-2.53.cache/output.0')
-rw-r--r-- | autom4te-2.53.cache/output.0 | 807 |
1 files changed, 578 insertions, 229 deletions
diff --git a/autom4te-2.53.cache/output.0 b/autom4te-2.53.cache/output.0 index 921978182..97d453542 100644 --- a/autom4te-2.53.cache/output.0 +++ b/autom4te-2.53.cache/output.0 | |||
@@ -862,7 +862,7 @@ Optional Packages: | |||
862 | --with-kerberos5=PATH Enable Kerberos 5 support | 862 | --with-kerberos5=PATH Enable Kerberos 5 support |
863 | --with-kerberos4=PATH Enable Kerberos 4 support | 863 | --with-kerberos4=PATH Enable Kerberos 4 support |
864 | --with-afs=PATH Enable AFS support | 864 | --with-afs=PATH Enable AFS support |
865 | --with-privsep-path=xxx Path for privilege separation chroot | 865 | --with-privsep-path=xxx Path for privilege separation chroot (default=/var/empty) |
866 | --with-xauth=PATH Specify path to xauth program | 866 | --with-xauth=PATH Specify path to xauth program |
867 | --with-mantype=man|cat|doc Set man page type | 867 | --with-mantype=man|cat|doc Set man page type |
868 | --with-md5-passwords Enable use of MD5 passwords | 868 | --with-md5-passwords Enable use of MD5 passwords |
@@ -2760,52 +2760,6 @@ echo "${ECHO_T}no" >&6 | |||
2760 | fi | 2760 | fi |
2761 | 2761 | ||
2762 | 2762 | ||
2763 | for ac_prog in filepriv | ||
2764 | do | ||
2765 | # Extract the first word of "$ac_prog", so it can be a program name with args. | ||
2766 | set dummy $ac_prog; ac_word=$2 | ||
2767 | echo "$as_me:$LINENO: checking for $ac_word" >&5 | ||
2768 | echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6 | ||
2769 | if test "${ac_cv_path_FILEPRIV+set}" = set; then | ||
2770 | echo $ECHO_N "(cached) $ECHO_C" >&6 | ||
2771 | else | ||
2772 | case $FILEPRIV in | ||
2773 | [\\/]* | ?:[\\/]*) | ||
2774 | ac_cv_path_FILEPRIV="$FILEPRIV" # Let the user override the test with a path. | ||
2775 | ;; | ||
2776 | *) | ||
2777 | as_save_IFS=$IFS; IFS=$PATH_SEPARATOR | ||
2778 | as_dummy="/sbin:/usr/sbin" | ||
2779 | for as_dir in $as_dummy | ||
2780 | do | ||
2781 | IFS=$as_save_IFS | ||
2782 | test -z "$as_dir" && as_dir=. | ||
2783 | for ac_exec_ext in '' $ac_executable_extensions; do | ||
2784 | if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then | ||
2785 | ac_cv_path_FILEPRIV="$as_dir/$ac_word$ac_exec_ext" | ||
2786 | echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5 | ||
2787 | break 2 | ||
2788 | fi | ||
2789 | done | ||
2790 | done | ||
2791 | |||
2792 | ;; | ||
2793 | esac | ||
2794 | fi | ||
2795 | FILEPRIV=$ac_cv_path_FILEPRIV | ||
2796 | |||
2797 | if test -n "$FILEPRIV"; then | ||
2798 | echo "$as_me:$LINENO: result: $FILEPRIV" >&5 | ||
2799 | echo "${ECHO_T}$FILEPRIV" >&6 | ||
2800 | else | ||
2801 | echo "$as_me:$LINENO: result: no" >&5 | ||
2802 | echo "${ECHO_T}no" >&6 | ||
2803 | fi | ||
2804 | |||
2805 | test -n "$FILEPRIV" && break | ||
2806 | done | ||
2807 | test -n "$FILEPRIV" || FILEPRIV="true" | ||
2808 | |||
2809 | # Extract the first word of "bash", so it can be a program name with args. | 2763 | # Extract the first word of "bash", so it can be a program name with args. |
2810 | set dummy bash; ac_word=$2 | 2764 | set dummy bash; ac_word=$2 |
2811 | echo "$as_me:$LINENO: checking for $ac_word" >&5 | 2765 | echo "$as_me:$LINENO: checking for $ac_word" >&5 |
@@ -3622,6 +3576,72 @@ if test $ac_cv_func_authenticate = yes; then | |||
3622 | @%:@define WITH_AIXAUTHENTICATE 1 | 3576 | @%:@define WITH_AIXAUTHENTICATE 1 |
3623 | _ACEOF | 3577 | _ACEOF |
3624 | 3578 | ||
3579 | else | ||
3580 | echo "$as_me:$LINENO: checking for authenticate in -ls" >&5 | ||
3581 | echo $ECHO_N "checking for authenticate in -ls... $ECHO_C" >&6 | ||
3582 | if test "${ac_cv_lib_s_authenticate+set}" = set; then | ||
3583 | echo $ECHO_N "(cached) $ECHO_C" >&6 | ||
3584 | else | ||
3585 | ac_check_lib_save_LIBS=$LIBS | ||
3586 | LIBS="-ls $LIBS" | ||
3587 | cat >conftest.$ac_ext <<_ACEOF | ||
3588 | #line $LINENO "configure" | ||
3589 | #include "confdefs.h" | ||
3590 | |||
3591 | /* Override any gcc2 internal prototype to avoid an error. */ | ||
3592 | #ifdef __cplusplus | ||
3593 | extern "C" | ||
3594 | #endif | ||
3595 | /* We use char because int might match the return type of a gcc2 | ||
3596 | builtin and then its argument prototype would still apply. */ | ||
3597 | char authenticate (); | ||
3598 | #ifdef F77_DUMMY_MAIN | ||
3599 | # ifdef __cplusplus | ||
3600 | extern "C" | ||
3601 | # endif | ||
3602 | int F77_DUMMY_MAIN() { return 1; } | ||
3603 | #endif | ||
3604 | int | ||
3605 | main () | ||
3606 | { | ||
3607 | authenticate (); | ||
3608 | ; | ||
3609 | return 0; | ||
3610 | } | ||
3611 | _ACEOF | ||
3612 | rm -f conftest.$ac_objext conftest$ac_exeext | ||
3613 | if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5 | ||
3614 | (eval $ac_link) 2>&5 | ||
3615 | ac_status=$? | ||
3616 | echo "$as_me:$LINENO: \$? = $ac_status" >&5 | ||
3617 | (exit $ac_status); } && | ||
3618 | { ac_try='test -s conftest$ac_exeext' | ||
3619 | { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 | ||
3620 | (eval $ac_try) 2>&5 | ||
3621 | ac_status=$? | ||
3622 | echo "$as_me:$LINENO: \$? = $ac_status" >&5 | ||
3623 | (exit $ac_status); }; }; then | ||
3624 | ac_cv_lib_s_authenticate=yes | ||
3625 | else | ||
3626 | echo "$as_me: failed program was:" >&5 | ||
3627 | cat conftest.$ac_ext >&5 | ||
3628 | ac_cv_lib_s_authenticate=no | ||
3629 | fi | ||
3630 | rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext | ||
3631 | LIBS=$ac_check_lib_save_LIBS | ||
3632 | fi | ||
3633 | echo "$as_me:$LINENO: result: $ac_cv_lib_s_authenticate" >&5 | ||
3634 | echo "${ECHO_T}$ac_cv_lib_s_authenticate" >&6 | ||
3635 | if test $ac_cv_lib_s_authenticate = yes; then | ||
3636 | cat >>confdefs.h <<\_ACEOF | ||
3637 | @%:@define WITH_AIXAUTHENTICATE 1 | ||
3638 | _ACEOF | ||
3639 | |||
3640 | LIBS="$LIBS -ls" | ||
3641 | |||
3642 | fi | ||
3643 | |||
3644 | |||
3625 | fi | 3645 | fi |
3626 | 3646 | ||
3627 | cat >>confdefs.h <<\_ACEOF | 3647 | cat >>confdefs.h <<\_ACEOF |
@@ -3668,7 +3688,11 @@ _ACEOF | |||
3668 | _ACEOF | 3688 | _ACEOF |
3669 | 3689 | ||
3670 | cat >>confdefs.h <<\_ACEOF | 3690 | cat >>confdefs.h <<\_ACEOF |
3671 | @%:@define BROKEN_FD_PASSING 1 | 3691 | @%:@define NO_IPPORT_RESERVED_CONCEPT 1 |
3692 | _ACEOF | ||
3693 | |||
3694 | cat >>confdefs.h <<\_ACEOF | ||
3695 | @%:@define DISABLE_FD_PASSING 1 | ||
3672 | _ACEOF | 3696 | _ACEOF |
3673 | 3697 | ||
3674 | cat >>confdefs.h <<\_ACEOF | 3698 | cat >>confdefs.h <<\_ACEOF |
@@ -3683,10 +3707,49 @@ _ACEOF | |||
3683 | 3707 | ||
3684 | ;; | 3708 | ;; |
3685 | *-*-darwin*) | 3709 | *-*-darwin*) |
3710 | echo "$as_me:$LINENO: checking if we have working getaddrinfo" >&5 | ||
3711 | echo $ECHO_N "checking if we have working getaddrinfo... $ECHO_C" >&6 | ||
3712 | if test "$cross_compiling" = yes; then | ||
3713 | echo "$as_me:$LINENO: result: assume it is working" >&5 | ||
3714 | echo "${ECHO_T}assume it is working" >&6 | ||
3715 | else | ||
3716 | cat >conftest.$ac_ext <<_ACEOF | ||
3717 | #line $LINENO "configure" | ||
3718 | #include "confdefs.h" | ||
3719 | #include <mach-o/dyld.h> | ||
3720 | main() { if (NSVersionOfRunTimeLibrary("System") >= (60 << 16)) | ||
3721 | exit(0); | ||
3722 | else | ||
3723 | exit(1); | ||
3724 | } | ||
3725 | _ACEOF | ||
3726 | rm -f conftest$ac_exeext | ||
3727 | if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5 | ||
3728 | (eval $ac_link) 2>&5 | ||
3729 | ac_status=$? | ||
3730 | echo "$as_me:$LINENO: \$? = $ac_status" >&5 | ||
3731 | (exit $ac_status); } && { ac_try='./conftest$ac_exeext' | ||
3732 | { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 | ||
3733 | (eval $ac_try) 2>&5 | ||
3734 | ac_status=$? | ||
3735 | echo "$as_me:$LINENO: \$? = $ac_status" >&5 | ||
3736 | (exit $ac_status); }; }; then | ||
3737 | echo "$as_me:$LINENO: result: working" >&5 | ||
3738 | echo "${ECHO_T}working" >&6 | ||
3739 | else | ||
3740 | echo "$as_me: program exited with status $ac_status" >&5 | ||
3741 | echo "$as_me: failed program was:" >&5 | ||
3742 | cat conftest.$ac_ext >&5 | ||
3743 | ( exit $ac_status ) | ||
3744 | echo "$as_me:$LINENO: result: buggy" >&5 | ||
3745 | echo "${ECHO_T}buggy" >&6 | ||
3686 | cat >>confdefs.h <<\_ACEOF | 3746 | cat >>confdefs.h <<\_ACEOF |
3687 | @%:@define BROKEN_GETADDRINFO 1 | 3747 | @%:@define BROKEN_GETADDRINFO 1 |
3688 | _ACEOF | 3748 | _ACEOF |
3689 | 3749 | ||
3750 | fi | ||
3751 | rm -f core core.* *.core conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext | ||
3752 | fi | ||
3690 | ;; | 3753 | ;; |
3691 | *-*-hpux10.26) | 3754 | *-*-hpux10.26) |
3692 | if test -z "$GCC"; then | 3755 | if test -z "$GCC"; then |
@@ -3722,7 +3785,76 @@ _ACEOF | |||
3722 | @%:@define SPT_TYPE SPT_PSTAT | 3785 | @%:@define SPT_TYPE SPT_PSTAT |
3723 | _ACEOF | 3786 | _ACEOF |
3724 | 3787 | ||
3725 | LIBS="$LIBS -lxnet -lsec -lsecpw" | 3788 | LIBS="$LIBS -lsec -lsecpw" |
3789 | |||
3790 | echo "$as_me:$LINENO: checking for t_error in -lxnet" >&5 | ||
3791 | echo $ECHO_N "checking for t_error in -lxnet... $ECHO_C" >&6 | ||
3792 | if test "${ac_cv_lib_xnet_t_error+set}" = set; then | ||
3793 | echo $ECHO_N "(cached) $ECHO_C" >&6 | ||
3794 | else | ||
3795 | ac_check_lib_save_LIBS=$LIBS | ||
3796 | LIBS="-lxnet $LIBS" | ||
3797 | cat >conftest.$ac_ext <<_ACEOF | ||
3798 | #line $LINENO "configure" | ||
3799 | #include "confdefs.h" | ||
3800 | |||
3801 | /* Override any gcc2 internal prototype to avoid an error. */ | ||
3802 | #ifdef __cplusplus | ||
3803 | extern "C" | ||
3804 | #endif | ||
3805 | /* We use char because int might match the return type of a gcc2 | ||
3806 | builtin and then its argument prototype would still apply. */ | ||
3807 | char t_error (); | ||
3808 | #ifdef F77_DUMMY_MAIN | ||
3809 | # ifdef __cplusplus | ||
3810 | extern "C" | ||
3811 | # endif | ||
3812 | int F77_DUMMY_MAIN() { return 1; } | ||
3813 | #endif | ||
3814 | int | ||
3815 | main () | ||
3816 | { | ||
3817 | t_error (); | ||
3818 | ; | ||
3819 | return 0; | ||
3820 | } | ||
3821 | _ACEOF | ||
3822 | rm -f conftest.$ac_objext conftest$ac_exeext | ||
3823 | if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5 | ||
3824 | (eval $ac_link) 2>&5 | ||
3825 | ac_status=$? | ||
3826 | echo "$as_me:$LINENO: \$? = $ac_status" >&5 | ||
3827 | (exit $ac_status); } && | ||
3828 | { ac_try='test -s conftest$ac_exeext' | ||
3829 | { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 | ||
3830 | (eval $ac_try) 2>&5 | ||
3831 | ac_status=$? | ||
3832 | echo "$as_me:$LINENO: \$? = $ac_status" >&5 | ||
3833 | (exit $ac_status); }; }; then | ||
3834 | ac_cv_lib_xnet_t_error=yes | ||
3835 | else | ||
3836 | echo "$as_me: failed program was:" >&5 | ||
3837 | cat conftest.$ac_ext >&5 | ||
3838 | ac_cv_lib_xnet_t_error=no | ||
3839 | fi | ||
3840 | rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext | ||
3841 | LIBS=$ac_check_lib_save_LIBS | ||
3842 | fi | ||
3843 | echo "$as_me:$LINENO: result: $ac_cv_lib_xnet_t_error" >&5 | ||
3844 | echo "${ECHO_T}$ac_cv_lib_xnet_t_error" >&6 | ||
3845 | if test $ac_cv_lib_xnet_t_error = yes; then | ||
3846 | cat >>confdefs.h <<_ACEOF | ||
3847 | @%:@define HAVE_LIBXNET 1 | ||
3848 | _ACEOF | ||
3849 | |||
3850 | LIBS="-lxnet $LIBS" | ||
3851 | |||
3852 | else | ||
3853 | { { echo "$as_me:$LINENO: error: *** -lxnet needed on HP-UX - check config.log ***" >&5 | ||
3854 | echo "$as_me: error: *** -lxnet needed on HP-UX - check config.log ***" >&2;} | ||
3855 | { (exit 1); exit 1; }; } | ||
3856 | fi | ||
3857 | |||
3726 | disable_ptmx_check=yes | 3858 | disable_ptmx_check=yes |
3727 | ;; | 3859 | ;; |
3728 | *-*-hpux10*) | 3860 | *-*-hpux10*) |
@@ -3755,7 +3887,76 @@ _ACEOF | |||
3755 | @%:@define SPT_TYPE SPT_PSTAT | 3887 | @%:@define SPT_TYPE SPT_PSTAT |
3756 | _ACEOF | 3888 | _ACEOF |
3757 | 3889 | ||
3758 | LIBS="$LIBS -lxnet -lsec" | 3890 | LIBS="$LIBS -lsec" |
3891 | |||
3892 | echo "$as_me:$LINENO: checking for t_error in -lxnet" >&5 | ||
3893 | echo $ECHO_N "checking for t_error in -lxnet... $ECHO_C" >&6 | ||
3894 | if test "${ac_cv_lib_xnet_t_error+set}" = set; then | ||
3895 | echo $ECHO_N "(cached) $ECHO_C" >&6 | ||
3896 | else | ||
3897 | ac_check_lib_save_LIBS=$LIBS | ||
3898 | LIBS="-lxnet $LIBS" | ||
3899 | cat >conftest.$ac_ext <<_ACEOF | ||
3900 | #line $LINENO "configure" | ||
3901 | #include "confdefs.h" | ||
3902 | |||
3903 | /* Override any gcc2 internal prototype to avoid an error. */ | ||
3904 | #ifdef __cplusplus | ||
3905 | extern "C" | ||
3906 | #endif | ||
3907 | /* We use char because int might match the return type of a gcc2 | ||
3908 | builtin and then its argument prototype would still apply. */ | ||
3909 | char t_error (); | ||
3910 | #ifdef F77_DUMMY_MAIN | ||
3911 | # ifdef __cplusplus | ||
3912 | extern "C" | ||
3913 | # endif | ||
3914 | int F77_DUMMY_MAIN() { return 1; } | ||
3915 | #endif | ||
3916 | int | ||
3917 | main () | ||
3918 | { | ||
3919 | t_error (); | ||
3920 | ; | ||
3921 | return 0; | ||
3922 | } | ||
3923 | _ACEOF | ||
3924 | rm -f conftest.$ac_objext conftest$ac_exeext | ||
3925 | if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5 | ||
3926 | (eval $ac_link) 2>&5 | ||
3927 | ac_status=$? | ||
3928 | echo "$as_me:$LINENO: \$? = $ac_status" >&5 | ||
3929 | (exit $ac_status); } && | ||
3930 | { ac_try='test -s conftest$ac_exeext' | ||
3931 | { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 | ||
3932 | (eval $ac_try) 2>&5 | ||
3933 | ac_status=$? | ||
3934 | echo "$as_me:$LINENO: \$? = $ac_status" >&5 | ||
3935 | (exit $ac_status); }; }; then | ||
3936 | ac_cv_lib_xnet_t_error=yes | ||
3937 | else | ||
3938 | echo "$as_me: failed program was:" >&5 | ||
3939 | cat conftest.$ac_ext >&5 | ||
3940 | ac_cv_lib_xnet_t_error=no | ||
3941 | fi | ||
3942 | rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext | ||
3943 | LIBS=$ac_check_lib_save_LIBS | ||
3944 | fi | ||
3945 | echo "$as_me:$LINENO: result: $ac_cv_lib_xnet_t_error" >&5 | ||
3946 | echo "${ECHO_T}$ac_cv_lib_xnet_t_error" >&6 | ||
3947 | if test $ac_cv_lib_xnet_t_error = yes; then | ||
3948 | cat >>confdefs.h <<_ACEOF | ||
3949 | @%:@define HAVE_LIBXNET 1 | ||
3950 | _ACEOF | ||
3951 | |||
3952 | LIBS="-lxnet $LIBS" | ||
3953 | |||
3954 | else | ||
3955 | { { echo "$as_me:$LINENO: error: *** -lxnet needed on HP-UX - check config.log ***" >&5 | ||
3956 | echo "$as_me: error: *** -lxnet needed on HP-UX - check config.log ***" >&2;} | ||
3957 | { (exit 1); exit 1; }; } | ||
3958 | fi | ||
3959 | |||
3759 | ;; | 3960 | ;; |
3760 | *-*-hpux11*) | 3961 | *-*-hpux11*) |
3761 | CPPFLAGS="$CPPFLAGS -D_HPUX_SOURCE -D_XOPEN_SOURCE -D_XOPEN_SOURCE_EXTENDED=1" | 3962 | CPPFLAGS="$CPPFLAGS -D_HPUX_SOURCE -D_XOPEN_SOURCE -D_XOPEN_SOURCE_EXTENDED=1" |
@@ -3788,7 +3989,76 @@ _ACEOF | |||
3788 | @%:@define SPT_TYPE SPT_PSTAT | 3989 | @%:@define SPT_TYPE SPT_PSTAT |
3789 | _ACEOF | 3990 | _ACEOF |
3790 | 3991 | ||
3791 | LIBS="$LIBS -lxnet -lsec" | 3992 | LIBS="$LIBS -lsec" |
3993 | |||
3994 | echo "$as_me:$LINENO: checking for t_error in -lxnet" >&5 | ||
3995 | echo $ECHO_N "checking for t_error in -lxnet... $ECHO_C" >&6 | ||
3996 | if test "${ac_cv_lib_xnet_t_error+set}" = set; then | ||
3997 | echo $ECHO_N "(cached) $ECHO_C" >&6 | ||
3998 | else | ||
3999 | ac_check_lib_save_LIBS=$LIBS | ||
4000 | LIBS="-lxnet $LIBS" | ||
4001 | cat >conftest.$ac_ext <<_ACEOF | ||
4002 | #line $LINENO "configure" | ||
4003 | #include "confdefs.h" | ||
4004 | |||
4005 | /* Override any gcc2 internal prototype to avoid an error. */ | ||
4006 | #ifdef __cplusplus | ||
4007 | extern "C" | ||
4008 | #endif | ||
4009 | /* We use char because int might match the return type of a gcc2 | ||
4010 | builtin and then its argument prototype would still apply. */ | ||
4011 | char t_error (); | ||
4012 | #ifdef F77_DUMMY_MAIN | ||
4013 | # ifdef __cplusplus | ||
4014 | extern "C" | ||
4015 | # endif | ||
4016 | int F77_DUMMY_MAIN() { return 1; } | ||
4017 | #endif | ||
4018 | int | ||
4019 | main () | ||
4020 | { | ||
4021 | t_error (); | ||
4022 | ; | ||
4023 | return 0; | ||
4024 | } | ||
4025 | _ACEOF | ||
4026 | rm -f conftest.$ac_objext conftest$ac_exeext | ||
4027 | if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5 | ||
4028 | (eval $ac_link) 2>&5 | ||
4029 | ac_status=$? | ||
4030 | echo "$as_me:$LINENO: \$? = $ac_status" >&5 | ||
4031 | (exit $ac_status); } && | ||
4032 | { ac_try='test -s conftest$ac_exeext' | ||
4033 | { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 | ||
4034 | (eval $ac_try) 2>&5 | ||
4035 | ac_status=$? | ||
4036 | echo "$as_me:$LINENO: \$? = $ac_status" >&5 | ||
4037 | (exit $ac_status); }; }; then | ||
4038 | ac_cv_lib_xnet_t_error=yes | ||
4039 | else | ||
4040 | echo "$as_me: failed program was:" >&5 | ||
4041 | cat conftest.$ac_ext >&5 | ||
4042 | ac_cv_lib_xnet_t_error=no | ||
4043 | fi | ||
4044 | rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext | ||
4045 | LIBS=$ac_check_lib_save_LIBS | ||
4046 | fi | ||
4047 | echo "$as_me:$LINENO: result: $ac_cv_lib_xnet_t_error" >&5 | ||
4048 | echo "${ECHO_T}$ac_cv_lib_xnet_t_error" >&6 | ||
4049 | if test $ac_cv_lib_xnet_t_error = yes; then | ||
4050 | cat >>confdefs.h <<_ACEOF | ||
4051 | @%:@define HAVE_LIBXNET 1 | ||
4052 | _ACEOF | ||
4053 | |||
4054 | LIBS="-lxnet $LIBS" | ||
4055 | |||
4056 | else | ||
4057 | { { echo "$as_me:$LINENO: error: *** -lxnet needed on HP-UX - check config.log ***" >&5 | ||
4058 | echo "$as_me: error: *** -lxnet needed on HP-UX - check config.log ***" >&2;} | ||
4059 | { (exit 1); exit 1; }; } | ||
4060 | fi | ||
4061 | |||
3792 | ;; | 4062 | ;; |
3793 | *-*-irix5*) | 4063 | *-*-irix5*) |
3794 | CPPFLAGS="$CPPFLAGS -I/usr/local/include" | 4064 | CPPFLAGS="$CPPFLAGS -I/usr/local/include" |
@@ -3920,6 +4190,7 @@ _ACEOF | |||
3920 | SONY=1 | 4190 | SONY=1 |
3921 | ;; | 4191 | ;; |
3922 | *-*-netbsd*) | 4192 | *-*-netbsd*) |
4193 | check_for_libcrypt_before=1 | ||
3923 | need_dash_r=1 | 4194 | need_dash_r=1 |
3924 | ;; | 4195 | ;; |
3925 | *-*-freebsd*) | 4196 | *-*-freebsd*) |
@@ -4250,7 +4521,7 @@ _ACEOF | |||
4250 | _ACEOF | 4521 | _ACEOF |
4251 | 4522 | ||
4252 | cat >>confdefs.h <<\_ACEOF | 4523 | cat >>confdefs.h <<\_ACEOF |
4253 | @%:@define BROKEN_FD_PASSING 1 | 4524 | @%:@define DISABLE_FD_PASSING 1 |
4254 | _ACEOF | 4525 | _ACEOF |
4255 | 4526 | ||
4256 | 4527 | ||
@@ -4332,6 +4603,21 @@ done | |||
4332 | 4603 | ||
4333 | MANTYPE=man | 4604 | MANTYPE=man |
4334 | ;; | 4605 | ;; |
4606 | *-*-unicosmk*) | ||
4607 | no_libsocket=1 | ||
4608 | no_libnsl=1 | ||
4609 | cat >>confdefs.h <<\_ACEOF | ||
4610 | @%:@define USE_PIPES 1 | ||
4611 | _ACEOF | ||
4612 | |||
4613 | cat >>confdefs.h <<\_ACEOF | ||
4614 | @%:@define DISABLE_FD_PASSING 1 | ||
4615 | _ACEOF | ||
4616 | |||
4617 | LDFLAGS="$LDFLAGS" | ||
4618 | LIBS="$LIBS -lgen -lrsc -lshare -luex -lacm" | ||
4619 | MANTYPE=cat | ||
4620 | ;; | ||
4335 | *-*-unicos*) | 4621 | *-*-unicos*) |
4336 | no_libsocket=1 | 4622 | no_libsocket=1 |
4337 | no_libnsl=1 | 4623 | no_libnsl=1 |
@@ -4340,11 +4626,16 @@ done | |||
4340 | _ACEOF | 4626 | _ACEOF |
4341 | 4627 | ||
4342 | cat >>confdefs.h <<\_ACEOF | 4628 | cat >>confdefs.h <<\_ACEOF |
4343 | @%:@define BROKEN_FD_PASSING 1 | 4629 | @%:@define DISABLE_FD_PASSING 1 |
4630 | _ACEOF | ||
4631 | |||
4632 | cat >>confdefs.h <<\_ACEOF | ||
4633 | @%:@define NO_SSH_LASTLOG 1 | ||
4344 | _ACEOF | 4634 | _ACEOF |
4345 | 4635 | ||
4346 | LDFLAGS="$LDFLAGS -Wl,-Dmsglevel=334:fatal,-L/usr/local/lib" | 4636 | LDFLAGS="$LDFLAGS -Wl,-Dmsglevel=334:fatal" |
4347 | LIBS="$LIBS -lgen -lrsc" | 4637 | LIBS="$LIBS -lgen -lrsc -lshare -luex -lacm" |
4638 | MANTYPE=cat | ||
4348 | ;; | 4639 | ;; |
4349 | *-dec-osf*) | 4640 | *-dec-osf*) |
4350 | echo "$as_me:$LINENO: checking for Digital Unix SIA" >&5 | 4641 | echo "$as_me:$LINENO: checking for Digital Unix SIA" >&5 |
@@ -4691,15 +4982,17 @@ done | |||
4691 | 4982 | ||
4692 | 4983 | ||
4693 | 4984 | ||
4985 | |||
4986 | |||
4694 | for ac_header in bstring.h crypt.h endian.h floatingpoint.h \ | 4987 | for ac_header in bstring.h crypt.h endian.h floatingpoint.h \ |
4695 | getopt.h glob.h lastlog.h limits.h login.h \ | 4988 | getopt.h glob.h ia.h lastlog.h limits.h login.h \ |
4696 | login_cap.h maillock.h netdb.h netgroup.h \ | 4989 | login_cap.h maillock.h netdb.h netgroup.h \ |
4697 | netinet/in_systm.h paths.h pty.h readpassphrase.h \ | 4990 | netinet/in_systm.h paths.h pty.h readpassphrase.h \ |
4698 | rpc/types.h security/pam_appl.h shadow.h stddef.h stdint.h \ | 4991 | rpc/types.h security/pam_appl.h shadow.h stddef.h stdint.h \ |
4699 | strings.h sys/bitypes.h sys/bsdtty.h sys/cdefs.h \ | 4992 | strings.h sys/bitypes.h sys/bsdtty.h sys/cdefs.h \ |
4700 | sys/mman.h sys/select.h sys/stat.h \ | 4993 | sys/mman.h sys/select.h sys/stat.h \ |
4701 | sys/stropts.h sys/sysmacros.h sys/time.h \ | 4994 | sys/stropts.h sys/sysmacros.h sys/time.h \ |
4702 | sys/un.h time.h ttyent.h usersec.h \ | 4995 | sys/un.h time.h tmpdir.h ttyent.h usersec.h \ |
4703 | util.h utime.h utmp.h utmpx.h | 4996 | util.h utime.h utmp.h utmpx.h |
4704 | do | 4997 | do |
4705 | as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh` | 4998 | as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh` |
@@ -5646,7 +5939,11 @@ fi | |||
5646 | echo "$as_me:$LINENO: result: $ac_cv_lib_c89_utimes" >&5 | 5939 | echo "$as_me:$LINENO: result: $ac_cv_lib_c89_utimes" >&5 |
5647 | echo "${ECHO_T}$ac_cv_lib_c89_utimes" >&6 | 5940 | echo "${ECHO_T}$ac_cv_lib_c89_utimes" >&6 |
5648 | if test $ac_cv_lib_c89_utimes = yes; then | 5941 | if test $ac_cv_lib_c89_utimes = yes; then |
5649 | LIBS="$LIBS -lc89" | 5942 | cat >>confdefs.h <<\_ACEOF |
5943 | @%:@define HAVE_UTIMES 1 | ||
5944 | _ACEOF | ||
5945 | |||
5946 | LIBS="$LIBS -lc89" | ||
5650 | fi | 5947 | fi |
5651 | 5948 | ||
5652 | 5949 | ||
@@ -6176,7 +6473,7 @@ else | |||
6176 | 6473 | ||
6177 | #include <sys/types.h> | 6474 | #include <sys/types.h> |
6178 | #include <dirent.h> | 6475 | #include <dirent.h> |
6179 | int main(void){struct dirent d;return(sizeof(d.d_name)<=sizeof(char));} | 6476 | int main(void){struct dirent d;exit(sizeof(d.d_name)<=sizeof(char));} |
6180 | 6477 | ||
6181 | _ACEOF | 6478 | _ACEOF |
6182 | rm -f conftest$ac_exeext | 6479 | rm -f conftest$ac_exeext |
@@ -6244,7 +6541,7 @@ else | |||
6244 | 6541 | ||
6245 | #include <stdio.h> | 6542 | #include <stdio.h> |
6246 | #include <skey.h> | 6543 | #include <skey.h> |
6247 | int main() { char *ff = skey_keyinfo(""); ff=""; return 0; } | 6544 | int main() { char *ff = skey_keyinfo(""); ff=""; exit(0); } |
6248 | 6545 | ||
6249 | _ACEOF | 6546 | _ACEOF |
6250 | rm -f conftest$ac_exeext | 6547 | rm -f conftest$ac_exeext |
@@ -6442,9 +6739,10 @@ fi; | |||
6442 | 6739 | ||
6443 | 6740 | ||
6444 | 6741 | ||
6742 | |||
6445 | for ac_func in arc4random b64_ntop bcopy bindresvport_sa \ | 6743 | for ac_func in arc4random b64_ntop bcopy bindresvport_sa \ |
6446 | clock fchmod fchown freeaddrinfo futimes gai_strerror \ | 6744 | clock fchmod fchown freeaddrinfo futimes gai_strerror \ |
6447 | getaddrinfo getcwd getgrouplist getnameinfo getopt \ | 6745 | getaddrinfo getcwd getgrouplist getnameinfo getopt getpeereid\ |
6448 | getrlimit getrusage getttyent glob inet_aton inet_ntoa \ | 6746 | getrlimit getrusage getttyent glob inet_aton inet_ntoa \ |
6449 | inet_ntop innetgr login_getcapbool md5_crypt memmove \ | 6747 | inet_ntop innetgr login_getcapbool md5_crypt memmove \ |
6450 | mkdtemp mmap ngetaddrinfo openpty ogetaddrinfo readpassphrase \ | 6748 | mkdtemp mmap ngetaddrinfo openpty ogetaddrinfo readpassphrase \ |
@@ -6528,63 +6826,6 @@ fi | |||
6528 | done | 6826 | done |
6529 | 6827 | ||
6530 | 6828 | ||
6531 | if test $ac_cv_func_mmap = yes ; then | ||
6532 | echo "$as_me:$LINENO: checking for mmap anon shared" >&5 | ||
6533 | echo $ECHO_N "checking for mmap anon shared... $ECHO_C" >&6 | ||
6534 | if test "$cross_compiling" = yes; then | ||
6535 | { { echo "$as_me:$LINENO: error: cannot run test program while cross compiling" >&5 | ||
6536 | echo "$as_me: error: cannot run test program while cross compiling" >&2;} | ||
6537 | { (exit 1); exit 1; }; } | ||
6538 | else | ||
6539 | cat >conftest.$ac_ext <<_ACEOF | ||
6540 | #line $LINENO "configure" | ||
6541 | #include "confdefs.h" | ||
6542 | |||
6543 | #include <stdio.h> | ||
6544 | #include <sys/mman.h> | ||
6545 | #if !defined(MAP_ANON) && defined(MAP_ANONYMOUS) | ||
6546 | #define MAP_ANON MAP_ANONYMOUS | ||
6547 | #endif | ||
6548 | main() { char *p; | ||
6549 | p = (char *) mmap(NULL, 10, PROT_WRITE|PROT_READ, MAP_ANON|MAP_SHARED, -1, 0); | ||
6550 | if (p == (char *)-1) | ||
6551 | exit(1); | ||
6552 | exit(0); | ||
6553 | } | ||
6554 | |||
6555 | _ACEOF | ||
6556 | rm -f conftest$ac_exeext | ||
6557 | if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5 | ||
6558 | (eval $ac_link) 2>&5 | ||
6559 | ac_status=$? | ||
6560 | echo "$as_me:$LINENO: \$? = $ac_status" >&5 | ||
6561 | (exit $ac_status); } && { ac_try='./conftest$ac_exeext' | ||
6562 | { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 | ||
6563 | (eval $ac_try) 2>&5 | ||
6564 | ac_status=$? | ||
6565 | echo "$as_me:$LINENO: \$? = $ac_status" >&5 | ||
6566 | (exit $ac_status); }; }; then | ||
6567 | |||
6568 | echo "$as_me:$LINENO: result: yes" >&5 | ||
6569 | echo "${ECHO_T}yes" >&6 | ||
6570 | cat >>confdefs.h <<\_ACEOF | ||
6571 | @%:@define HAVE_MMAP_ANON_SHARED 1 | ||
6572 | _ACEOF | ||
6573 | |||
6574 | |||
6575 | else | ||
6576 | echo "$as_me: program exited with status $ac_status" >&5 | ||
6577 | echo "$as_me: failed program was:" >&5 | ||
6578 | cat conftest.$ac_ext >&5 | ||
6579 | ( exit $ac_status ) | ||
6580 | echo "$as_me:$LINENO: result: no" >&5 | ||
6581 | echo "${ECHO_T}no" >&6 | ||
6582 | |||
6583 | fi | ||
6584 | rm -f core core.* *.core conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext | ||
6585 | fi | ||
6586 | fi | ||
6587 | |||
6588 | 6829 | ||
6589 | for ac_func in dirname | 6830 | for ac_func in dirname |
6590 | do | 6831 | do |
@@ -7697,7 +7938,7 @@ else | |||
7697 | #include "confdefs.h" | 7938 | #include "confdefs.h" |
7698 | 7939 | ||
7699 | #include <stdio.h> | 7940 | #include <stdio.h> |
7700 | int main(void){char b[5];snprintf(b,5,"123456789");return(b[4]!='\0');} | 7941 | int main(void){char b[5];snprintf(b,5,"123456789");exit(b[4]!='\0');} |
7701 | 7942 | ||
7702 | _ACEOF | 7943 | _ACEOF |
7703 | rm -f conftest$ac_exeext | 7944 | rm -f conftest$ac_exeext |
@@ -8090,6 +8331,76 @@ fi | |||
8090 | rm -f conftest.$ac_objext conftest.$ac_ext | 8331 | rm -f conftest.$ac_objext conftest.$ac_ext |
8091 | fi | 8332 | fi |
8092 | 8333 | ||
8334 | # Some systems want crypt() from libcrypt, *not* the version in OpenSSL, | ||
8335 | # because the system crypt() is more featureful. | ||
8336 | if test "x$check_for_libcrypt_before" = "x1"; then | ||
8337 | |||
8338 | echo "$as_me:$LINENO: checking for crypt in -lcrypt" >&5 | ||
8339 | echo $ECHO_N "checking for crypt in -lcrypt... $ECHO_C" >&6 | ||
8340 | if test "${ac_cv_lib_crypt_crypt+set}" = set; then | ||
8341 | echo $ECHO_N "(cached) $ECHO_C" >&6 | ||
8342 | else | ||
8343 | ac_check_lib_save_LIBS=$LIBS | ||
8344 | LIBS="-lcrypt $LIBS" | ||
8345 | cat >conftest.$ac_ext <<_ACEOF | ||
8346 | #line $LINENO "configure" | ||
8347 | #include "confdefs.h" | ||
8348 | |||
8349 | /* Override any gcc2 internal prototype to avoid an error. */ | ||
8350 | #ifdef __cplusplus | ||
8351 | extern "C" | ||
8352 | #endif | ||
8353 | /* We use char because int might match the return type of a gcc2 | ||
8354 | builtin and then its argument prototype would still apply. */ | ||
8355 | char crypt (); | ||
8356 | #ifdef F77_DUMMY_MAIN | ||
8357 | # ifdef __cplusplus | ||
8358 | extern "C" | ||
8359 | # endif | ||
8360 | int F77_DUMMY_MAIN() { return 1; } | ||
8361 | #endif | ||
8362 | int | ||
8363 | main () | ||
8364 | { | ||
8365 | crypt (); | ||
8366 | ; | ||
8367 | return 0; | ||
8368 | } | ||
8369 | _ACEOF | ||
8370 | rm -f conftest.$ac_objext conftest$ac_exeext | ||
8371 | if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5 | ||
8372 | (eval $ac_link) 2>&5 | ||
8373 | ac_status=$? | ||
8374 | echo "$as_me:$LINENO: \$? = $ac_status" >&5 | ||
8375 | (exit $ac_status); } && | ||
8376 | { ac_try='test -s conftest$ac_exeext' | ||
8377 | { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 | ||
8378 | (eval $ac_try) 2>&5 | ||
8379 | ac_status=$? | ||
8380 | echo "$as_me:$LINENO: \$? = $ac_status" >&5 | ||
8381 | (exit $ac_status); }; }; then | ||
8382 | ac_cv_lib_crypt_crypt=yes | ||
8383 | else | ||
8384 | echo "$as_me: failed program was:" >&5 | ||
8385 | cat conftest.$ac_ext >&5 | ||
8386 | ac_cv_lib_crypt_crypt=no | ||
8387 | fi | ||
8388 | rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext | ||
8389 | LIBS=$ac_check_lib_save_LIBS | ||
8390 | fi | ||
8391 | echo "$as_me:$LINENO: result: $ac_cv_lib_crypt_crypt" >&5 | ||
8392 | echo "${ECHO_T}$ac_cv_lib_crypt_crypt" >&6 | ||
8393 | if test $ac_cv_lib_crypt_crypt = yes; then | ||
8394 | cat >>confdefs.h <<_ACEOF | ||
8395 | @%:@define HAVE_LIBCRYPT 1 | ||
8396 | _ACEOF | ||
8397 | |||
8398 | LIBS="-lcrypt $LIBS" | ||
8399 | |||
8400 | fi | ||
8401 | |||
8402 | fi | ||
8403 | |||
8093 | # Search for OpenSSL | 8404 | # Search for OpenSSL |
8094 | saved_CPPFLAGS="$CPPFLAGS" | 8405 | saved_CPPFLAGS="$CPPFLAGS" |
8095 | saved_LDFLAGS="$LDFLAGS" | 8406 | saved_LDFLAGS="$LDFLAGS" |
@@ -8230,6 +8541,134 @@ rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext | |||
8230 | fi | 8541 | fi |
8231 | rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext | 8542 | rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext |
8232 | 8543 | ||
8544 | # Determine OpenSSL header version | ||
8545 | echo "$as_me:$LINENO: checking OpenSSL header version" >&5 | ||
8546 | echo $ECHO_N "checking OpenSSL header version... $ECHO_C" >&6 | ||
8547 | if test "$cross_compiling" = yes; then | ||
8548 | { { echo "$as_me:$LINENO: error: cannot run test program while cross compiling" >&5 | ||
8549 | echo "$as_me: error: cannot run test program while cross compiling" >&2;} | ||
8550 | { (exit 1); exit 1; }; } | ||
8551 | else | ||
8552 | cat >conftest.$ac_ext <<_ACEOF | ||
8553 | #line $LINENO "configure" | ||
8554 | #include "confdefs.h" | ||
8555 | |||
8556 | #include <stdio.h> | ||
8557 | #include <string.h> | ||
8558 | #include <openssl/opensslv.h> | ||
8559 | #define DATA "conftest.sslincver" | ||
8560 | int main(void) { | ||
8561 | FILE *fd; | ||
8562 | int rc; | ||
8563 | |||
8564 | fd = fopen(DATA,"w"); | ||
8565 | if(fd == NULL) | ||
8566 | exit(1); | ||
8567 | |||
8568 | if ((rc = fprintf(fd ,"%x (%s)\n", OPENSSL_VERSION_NUMBER, OPENSSL_VERSION_TEXT)) <0) | ||
8569 | exit(1); | ||
8570 | |||
8571 | exit(0); | ||
8572 | } | ||
8573 | |||
8574 | _ACEOF | ||
8575 | rm -f conftest$ac_exeext | ||
8576 | if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5 | ||
8577 | (eval $ac_link) 2>&5 | ||
8578 | ac_status=$? | ||
8579 | echo "$as_me:$LINENO: \$? = $ac_status" >&5 | ||
8580 | (exit $ac_status); } && { ac_try='./conftest$ac_exeext' | ||
8581 | { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 | ||
8582 | (eval $ac_try) 2>&5 | ||
8583 | ac_status=$? | ||
8584 | echo "$as_me:$LINENO: \$? = $ac_status" >&5 | ||
8585 | (exit $ac_status); }; }; then | ||
8586 | |||
8587 | ssl_header_ver=`cat conftest.sslincver` | ||
8588 | echo "$as_me:$LINENO: result: $ssl_header_ver" >&5 | ||
8589 | echo "${ECHO_T}$ssl_header_ver" >&6 | ||
8590 | |||
8591 | else | ||
8592 | echo "$as_me: program exited with status $ac_status" >&5 | ||
8593 | echo "$as_me: failed program was:" >&5 | ||
8594 | cat conftest.$ac_ext >&5 | ||
8595 | ( exit $ac_status ) | ||
8596 | |||
8597 | echo "$as_me:$LINENO: result: not found" >&5 | ||
8598 | echo "${ECHO_T}not found" >&6 | ||
8599 | { { echo "$as_me:$LINENO: error: OpenSSL version header not found." >&5 | ||
8600 | echo "$as_me: error: OpenSSL version header not found." >&2;} | ||
8601 | { (exit 1); exit 1; }; } | ||
8602 | |||
8603 | |||
8604 | fi | ||
8605 | rm -f core core.* *.core conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext | ||
8606 | fi | ||
8607 | |||
8608 | # Determine OpenSSL library version | ||
8609 | echo "$as_me:$LINENO: checking OpenSSL library version" >&5 | ||
8610 | echo $ECHO_N "checking OpenSSL library version... $ECHO_C" >&6 | ||
8611 | if test "$cross_compiling" = yes; then | ||
8612 | { { echo "$as_me:$LINENO: error: cannot run test program while cross compiling" >&5 | ||
8613 | echo "$as_me: error: cannot run test program while cross compiling" >&2;} | ||
8614 | { (exit 1); exit 1; }; } | ||
8615 | else | ||
8616 | cat >conftest.$ac_ext <<_ACEOF | ||
8617 | #line $LINENO "configure" | ||
8618 | #include "confdefs.h" | ||
8619 | |||
8620 | #include <stdio.h> | ||
8621 | #include <string.h> | ||
8622 | #include <openssl/opensslv.h> | ||
8623 | #include <openssl/crypto.h> | ||
8624 | #define DATA "conftest.ssllibver" | ||
8625 | int main(void) { | ||
8626 | FILE *fd; | ||
8627 | int rc; | ||
8628 | |||
8629 | fd = fopen(DATA,"w"); | ||
8630 | if(fd == NULL) | ||
8631 | exit(1); | ||
8632 | |||
8633 | if ((rc = fprintf(fd ,"%x (%s)\n", SSLeay(), SSLeay_version(SSLEAY_VERSION))) <0) | ||
8634 | exit(1); | ||
8635 | |||
8636 | exit(0); | ||
8637 | } | ||
8638 | |||
8639 | _ACEOF | ||
8640 | rm -f conftest$ac_exeext | ||
8641 | if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5 | ||
8642 | (eval $ac_link) 2>&5 | ||
8643 | ac_status=$? | ||
8644 | echo "$as_me:$LINENO: \$? = $ac_status" >&5 | ||
8645 | (exit $ac_status); } && { ac_try='./conftest$ac_exeext' | ||
8646 | { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 | ||
8647 | (eval $ac_try) 2>&5 | ||
8648 | ac_status=$? | ||
8649 | echo "$as_me:$LINENO: \$? = $ac_status" >&5 | ||
8650 | (exit $ac_status); }; }; then | ||
8651 | |||
8652 | ssl_library_ver=`cat conftest.ssllibver` | ||
8653 | echo "$as_me:$LINENO: result: $ssl_library_ver" >&5 | ||
8654 | echo "${ECHO_T}$ssl_library_ver" >&6 | ||
8655 | |||
8656 | else | ||
8657 | echo "$as_me: program exited with status $ac_status" >&5 | ||
8658 | echo "$as_me: failed program was:" >&5 | ||
8659 | cat conftest.$ac_ext >&5 | ||
8660 | ( exit $ac_status ) | ||
8661 | |||
8662 | echo "$as_me:$LINENO: result: not found" >&5 | ||
8663 | echo "${ECHO_T}not found" >&6 | ||
8664 | { { echo "$as_me:$LINENO: error: OpenSSL library not found." >&5 | ||
8665 | echo "$as_me: error: OpenSSL library not found." >&2;} | ||
8666 | { (exit 1); exit 1; }; } | ||
8667 | |||
8668 | |||
8669 | fi | ||
8670 | rm -f core core.* *.core conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext | ||
8671 | fi | ||
8233 | 8672 | ||
8234 | # Sanity check OpenSSL headers | 8673 | # Sanity check OpenSSL headers |
8235 | echo "$as_me:$LINENO: checking whether OpenSSL's headers match the library" >&5 | 8674 | echo "$as_me:$LINENO: checking whether OpenSSL's headers match the library" >&5 |
@@ -8245,7 +8684,7 @@ else | |||
8245 | 8684 | ||
8246 | #include <string.h> | 8685 | #include <string.h> |
8247 | #include <openssl/opensslv.h> | 8686 | #include <openssl/opensslv.h> |
8248 | int main(void) { return(SSLeay() == OPENSSL_VERSION_NUMBER ? 0 : 1); } | 8687 | int main(void) { exit(SSLeay() == OPENSSL_VERSION_NUMBER ? 0 : 1); } |
8249 | 8688 | ||
8250 | _ACEOF | 8689 | _ACEOF |
8251 | rm -f conftest$ac_exeext | 8690 | rm -f conftest$ac_exeext |
@@ -8361,7 +8800,7 @@ else | |||
8361 | 8800 | ||
8362 | #include <string.h> | 8801 | #include <string.h> |
8363 | #include <openssl/rand.h> | 8802 | #include <openssl/rand.h> |
8364 | int main(void) { return(RAND_status() == 1 ? 0 : 1); } | 8803 | int main(void) { exit(RAND_status() == 1 ? 0 : 1); } |
8365 | 8804 | ||
8366 | _ACEOF | 8805 | _ACEOF |
8367 | rm -f conftest$ac_exeext | 8806 | rm -f conftest$ac_exeext |
@@ -11321,7 +11760,16 @@ else | |||
11321 | cat >conftest.$ac_ext <<_ACEOF | 11760 | cat >conftest.$ac_ext <<_ACEOF |
11322 | #line $LINENO "configure" | 11761 | #line $LINENO "configure" |
11323 | #include "confdefs.h" | 11762 | #include "confdefs.h" |
11324 | #include <sys/types.h> | 11763 | |
11764 | #include <sys/types.h> | ||
11765 | #ifdef HAVE_STDINT_H | ||
11766 | # include <stdint.h> | ||
11767 | #endif | ||
11768 | #include <sys/socket.h> | ||
11769 | #ifdef HAVE_SYS_BITYPES_H | ||
11770 | # include <sys/bitypes.h> | ||
11771 | #endif | ||
11772 | |||
11325 | #ifdef F77_DUMMY_MAIN | 11773 | #ifdef F77_DUMMY_MAIN |
11326 | # ifdef __cplusplus | 11774 | # ifdef __cplusplus |
11327 | extern "C" | 11775 | extern "C" |
@@ -11365,109 +11813,6 @@ if test "x$ac_cv_have_int64_t" = "xyes" ; then | |||
11365 | @%:@define HAVE_INT64_T 1 | 11813 | @%:@define HAVE_INT64_T 1 |
11366 | _ACEOF | 11814 | _ACEOF |
11367 | 11815 | ||
11368 | have_int64_t=1 | ||
11369 | fi | ||
11370 | |||
11371 | if test -z "$have_int64_t" ; then | ||
11372 | echo "$as_me:$LINENO: checking for int64_t type in sys/socket.h" >&5 | ||
11373 | echo $ECHO_N "checking for int64_t type in sys/socket.h... $ECHO_C" >&6 | ||
11374 | cat >conftest.$ac_ext <<_ACEOF | ||
11375 | #line $LINENO "configure" | ||
11376 | #include "confdefs.h" | ||
11377 | #include <sys/socket.h> | ||
11378 | #ifdef F77_DUMMY_MAIN | ||
11379 | # ifdef __cplusplus | ||
11380 | extern "C" | ||
11381 | # endif | ||
11382 | int F77_DUMMY_MAIN() { return 1; } | ||
11383 | #endif | ||
11384 | int | ||
11385 | main () | ||
11386 | { | ||
11387 | int64_t a; a = 1 | ||
11388 | ; | ||
11389 | return 0; | ||
11390 | } | ||
11391 | _ACEOF | ||
11392 | rm -f conftest.$ac_objext | ||
11393 | if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5 | ||
11394 | (eval $ac_compile) 2>&5 | ||
11395 | ac_status=$? | ||
11396 | echo "$as_me:$LINENO: \$? = $ac_status" >&5 | ||
11397 | (exit $ac_status); } && | ||
11398 | { ac_try='test -s conftest.$ac_objext' | ||
11399 | { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 | ||
11400 | (eval $ac_try) 2>&5 | ||
11401 | ac_status=$? | ||
11402 | echo "$as_me:$LINENO: \$? = $ac_status" >&5 | ||
11403 | (exit $ac_status); }; }; then | ||
11404 | |||
11405 | cat >>confdefs.h <<\_ACEOF | ||
11406 | @%:@define HAVE_INT64_T 1 | ||
11407 | _ACEOF | ||
11408 | |||
11409 | echo "$as_me:$LINENO: result: yes" >&5 | ||
11410 | echo "${ECHO_T}yes" >&6 | ||
11411 | |||
11412 | else | ||
11413 | echo "$as_me: failed program was:" >&5 | ||
11414 | cat conftest.$ac_ext >&5 | ||
11415 | echo "$as_me:$LINENO: result: no" >&5 | ||
11416 | echo "${ECHO_T}no" >&6 | ||
11417 | |||
11418 | fi | ||
11419 | rm -f conftest.$ac_objext conftest.$ac_ext | ||
11420 | fi | ||
11421 | |||
11422 | if test -z "$have_int64_t" ; then | ||
11423 | echo "$as_me:$LINENO: checking for int64_t type in sys/bitypes.h" >&5 | ||
11424 | echo $ECHO_N "checking for int64_t type in sys/bitypes.h... $ECHO_C" >&6 | ||
11425 | cat >conftest.$ac_ext <<_ACEOF | ||
11426 | #line $LINENO "configure" | ||
11427 | #include "confdefs.h" | ||
11428 | #include <sys/bitypes.h> | ||
11429 | #ifdef F77_DUMMY_MAIN | ||
11430 | # ifdef __cplusplus | ||
11431 | extern "C" | ||
11432 | # endif | ||
11433 | int F77_DUMMY_MAIN() { return 1; } | ||
11434 | #endif | ||
11435 | int | ||
11436 | main () | ||
11437 | { | ||
11438 | int64_t a; a = 1 | ||
11439 | ; | ||
11440 | return 0; | ||
11441 | } | ||
11442 | _ACEOF | ||
11443 | rm -f conftest.$ac_objext | ||
11444 | if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5 | ||
11445 | (eval $ac_compile) 2>&5 | ||
11446 | ac_status=$? | ||
11447 | echo "$as_me:$LINENO: \$? = $ac_status" >&5 | ||
11448 | (exit $ac_status); } && | ||
11449 | { ac_try='test -s conftest.$ac_objext' | ||
11450 | { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 | ||
11451 | (eval $ac_try) 2>&5 | ||
11452 | ac_status=$? | ||
11453 | echo "$as_me:$LINENO: \$? = $ac_status" >&5 | ||
11454 | (exit $ac_status); }; }; then | ||
11455 | |||
11456 | cat >>confdefs.h <<\_ACEOF | ||
11457 | @%:@define HAVE_INT64_T 1 | ||
11458 | _ACEOF | ||
11459 | |||
11460 | echo "$as_me:$LINENO: result: yes" >&5 | ||
11461 | echo "${ECHO_T}yes" >&6 | ||
11462 | |||
11463 | else | ||
11464 | echo "$as_me: failed program was:" >&5 | ||
11465 | cat conftest.$ac_ext >&5 | ||
11466 | echo "$as_me:$LINENO: result: no" >&5 | ||
11467 | echo "${ECHO_T}no" >&6 | ||
11468 | |||
11469 | fi | ||
11470 | rm -f conftest.$ac_objext conftest.$ac_ext | ||
11471 | fi | 11816 | fi |
11472 | 11817 | ||
11473 | echo "$as_me:$LINENO: checking for u_intXX_t types" >&5 | 11818 | echo "$as_me:$LINENO: checking for u_intXX_t types" >&5 |
@@ -15334,6 +15679,11 @@ if test "${with_xauth+set}" = set; then | |||
15334 | 15679 | ||
15335 | else | 15680 | else |
15336 | 15681 | ||
15682 | TestPath="$PATH" | ||
15683 | TestPath="${TestPath}${PATH_SEPARATOR}/usr/X/bin" | ||
15684 | TestPath="${TestPath}${PATH_SEPARATOR}/usr/bin/X11" | ||
15685 | TestPath="${TestPath}${PATH_SEPARATOR}/usr/X11R6/bin" | ||
15686 | TestPath="${TestPath}${PATH_SEPARATOR}/usr/openwin/bin" | ||
15337 | # Extract the first word of "xauth", so it can be a program name with args. | 15687 | # Extract the first word of "xauth", so it can be a program name with args. |
15338 | set dummy xauth; ac_word=$2 | 15688 | set dummy xauth; ac_word=$2 |
15339 | echo "$as_me:$LINENO: checking for $ac_word" >&5 | 15689 | echo "$as_me:$LINENO: checking for $ac_word" >&5 |
@@ -15347,7 +15697,7 @@ else | |||
15347 | ;; | 15697 | ;; |
15348 | *) | 15698 | *) |
15349 | as_save_IFS=$IFS; IFS=$PATH_SEPARATOR | 15699 | as_save_IFS=$IFS; IFS=$PATH_SEPARATOR |
15350 | for as_dir in $PATH:/usr/X/bin:/usr/bin/X11:/usr/X11R6/bin:/usr/openwin/bin | 15700 | for as_dir in $TestPath |
15351 | do | 15701 | do |
15352 | IFS=$as_save_IFS | 15702 | IFS=$as_save_IFS |
15353 | test -z "$as_dir" && as_dir=. | 15703 | test -z "$as_dir" && as_dir=. |
@@ -15482,6 +15832,7 @@ echo "$as_me: error: invalid man type: $withval" >&2;} | |||
15482 | 15832 | ||
15483 | fi; | 15833 | fi; |
15484 | if test -z "$MANTYPE"; then | 15834 | if test -z "$MANTYPE"; then |
15835 | TestPath="/usr/bin${PATH_SEPARATOR}/usr/ucb" | ||
15485 | for ac_prog in nroff awf | 15836 | for ac_prog in nroff awf |
15486 | do | 15837 | do |
15487 | # Extract the first word of "$ac_prog", so it can be a program name with args. | 15838 | # Extract the first word of "$ac_prog", so it can be a program name with args. |
@@ -15497,8 +15848,7 @@ else | |||
15497 | ;; | 15848 | ;; |
15498 | *) | 15849 | *) |
15499 | as_save_IFS=$IFS; IFS=$PATH_SEPARATOR | 15850 | as_save_IFS=$IFS; IFS=$PATH_SEPARATOR |
15500 | as_dummy="/usr/bin:/usr/ucb" | 15851 | for as_dir in $TestPath |
15501 | for as_dir in $as_dummy | ||
15502 | do | 15852 | do |
15503 | IFS=$as_save_IFS | 15853 | IFS=$as_save_IFS |
15504 | test -z "$as_dir" && as_dir=. | 15854 | test -z "$as_dir" && as_dir=. |
@@ -16997,7 +17347,6 @@ s,@INSTALL_DATA@,$INSTALL_DATA,;t t | |||
16997 | s,@AR@,$AR,;t t | 17347 | s,@AR@,$AR,;t t |
16998 | s,@PERL@,$PERL,;t t | 17348 | s,@PERL@,$PERL,;t t |
16999 | s,@ENT@,$ENT,;t t | 17349 | s,@ENT@,$ENT,;t t |
17000 | s,@FILEPRIV@,$FILEPRIV,;t t | ||
17001 | s,@TEST_MINUS_S_SH@,$TEST_MINUS_S_SH,;t t | 17350 | s,@TEST_MINUS_S_SH@,$TEST_MINUS_S_SH,;t t |
17002 | s,@SH@,$SH,;t t | 17351 | s,@SH@,$SH,;t t |
17003 | s,@LOGIN_PROGRAM_FALLBACK@,$LOGIN_PROGRAM_FALLBACK,;t t | 17352 | s,@LOGIN_PROGRAM_FALLBACK@,$LOGIN_PROGRAM_FALLBACK,;t t |